/*
  Ncr4x20Vfd Library - Tutorial Pin Defintions
  
  This file defines pin values that match those shown in the 
  wiring tutorial at http:// TODO: Insert link to wiring tutoral.
  
  Originally created 6 Feb 2011

  This file is in the public domain.  
*/

#ifndef Ncr4X20VfdTutorialPins_h
#define Ncr4X20VfdTutorialPins_h

// Cut and paste one of the commented #defines below to
// before sketch before #include-ing this helper file.
//#define NCR_4X20_VFD_ARDUINO_PINOUT
//#define NCR_4X20_VFD_TEENSY1_PINOUT
//#define NCR_4X20_VFD_TEENSY1PP_PINOUT 
//#define NCR_4X20_VFD_TEENSY2_PINOUT
//#define NCR_4X20_VFD_TEENSY2PP_PINOUT


#if defined(NCR_4X20_VFD_ARDUINO_PINOUT)

  #define NCR_4X20_VFD_DATA0_PIN 19
  #define NCR_4X20_VFD_DATA1_PIN 18
  #define NCR_4X20_VFD_DATA2_PIN 17
  #define NCR_4X20_VFD_DATA3_PIN 16
  #define NCR_4X20_VFD_DATA4_PIN 15
  #define NCR_4X20_VFD_DATA5_PIN 14

  #define NCR_4X20_VFD_DATA6_PIN 2
  #define NCR_4X20_VFD_DATA7_PIN 3
  #define NCR_4X20_VFD_STROBE_PIN 4
  #define NCR_4X20_VFD_UNKNOWN_STATUS1_PIN 5
  #define NCR_4X20_VFD_BUSY_PIN 6
  #define NCR_4X20_VFD_UNKNOWN_STATUS2_PIN 7
  #define NCR_4X20_VFD_UNKNOWN_STATUS3_PIN 8
  #define NCR_4X20_VFD_UNKNOWN_STATUS4_PIN 9
  #define NCR_4X20_VFD_RESET_PIN 10
  #define NCR_4X20_VFD_UNKNOWN_CONTROL1_PIN 11
  #define NCR_4X20_VFD_UNKNOWN_CONTROL2_PIN 12

#elif defined(NCR_4X20_VFD_TEENSY1_PINOUT)

  #error Teensy 1.0 pins not set up yet.

#elif defined(NCR_4X20_VFD_TEENSY1PP_PINOUT)

  #error Teensy 1.0++ pins not set up yet.

#elif defined(NCR_4X20_VFD_TEENSY2_PINOUT)

  #error Teensy 2.0 pins not set up yet.

#elif defined(NCR_4X20_VFD_TEENSY2PP_PINOUT)

  #error Teensy 2.0++ pins not set up yet.

#else

  #error Please #define a board before including this header

#endif // Board selection.

#endif // Ncr4X20VfdTutorialPins_h
